Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
approval-requests
List approval requests for a flag
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/approval-requests \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "12ab3c45de678910abc12345",
      "_version": 1,
      "creationDate": "1654104600000",
      "serviceKind": "launchdarkly",
      "reviewStatus": "pending",
      "allReviews": [
        {
          "_id": "12ab3c45de678910abc12345",
          "kind": "approve",
          "creationDate": "1653606981113",
          "comment": "Approved!",
          "memberId": "12ab3c45de678910abc12345",
          "serviceTokenId": "12ab3c45de678910abc12345"
        }
      ],
      "notifyMemberIds": [
        "1234a56b7c89d012345e678f"
      ],
      "status": "pending",
      "instructions": "[{\"kind\": \"turnFlagOn\"}]",
      "conflicts": [
        {
          "instruction": {},
          "reason": "<string>"
        }
      ],
      "_links": {},
      "requestorId": "12ab3c45de678910abc12345",
      "description": "example: request approval from someone",
      "appliedDate": "1654104600000",
      "appliedByMemberId": "1234a56b7c89d012345e678f",
      "appliedByServiceTokenId": "1234a56b7c89d012345e678f",
      "executionDate": "1654104600000",
      "operatingOnId": "12ab3c45de678910abc12345",
      "integrationMetadata": {
        "externalId": "<string>",
        "externalStatus": {
          "display": "<string>",
          "value": "<string>"
        },
        "externalUrl": "<string>",
        "lastChecked": 123
      },
      "source": {
        "key": "source-flag-key-123abc",
        "version": 1
      },
      "customWorkflowMetadata": {
        "name": "Example workflow name",
        "stage": {
          "index": 0,
          "name": "Stage 1"
        }
      }
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

Response

Approval request collection response

items
object[]
required

An array of approval requests

The location and content type of related resources